SUSE SLED15 / SLES15 Security Update : ImageMagick (SUSE-SU-2020:0275-1)

critical Nessus プラグイン ID 133397

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このImageMagick用の更新プログラムでは、次の問題が修正されています。修正されたセキュリティ問題:

修正されたセキュリティ問題:

CVE-2019-19948:WriteSGIImage()におけるヒープベースのバッファオーバーフローを修正しました(bsc#1159861)。

CVE-2019-19949:WritePNGImage()におけるヒープベースのバッファオーバーリードを修正しました(bsc#1160369)。

修正された非セキュリティ問題:

tiffをpngに変換するとファイルが表示されない問題を修正しました(bsc#1161194)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:

zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-275=1

SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2020-275=1

SUSE Linux Enterprise Module for Development Tools 15-SP1:

zypper in -t patch SUSE-SLE-Module-Development-Tools-15-SP1-2020-275=1

SUSE Linux Enterprise Module for Development Tools 15:

zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2020-275=1

SUSE Linux Enterprise Module for Desktop Applications 15-SP1:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-275=1

SUSE Linux Enterprise Module for Desktop Applications 15:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2020-275=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1159861

https://bugzilla.suse.com/show_bug.cgi?id=1160369

https://bugzilla.suse.com/show_bug.cgi?id=1161194

https://www.suse.com/security/cve/CVE-2019-19948/

https://www.suse.com/security/cve/CVE-2019-19949/

http://www.nessus.org/u?67c466c4

プラグインの詳細

深刻度: Critical

ID: 133397

ファイル名: suse_SU-2020-0275-1.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2020/1/31

更新日: 2021/1/13

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 6

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:2.3:o:novell:suse_linux:15:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick-debugsource:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick-config-7-suse:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick-config-7-upstream:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick-extra:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:imagemagick-extra-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickcore:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickcore-7_q16hdri6:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickcore-7_q16hdri6-32bit-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickcore-7_q16hdri6-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickwand:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickwand-7_q16hdri6:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickwand-7_q16hdri6-32bit-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagickwand-7_q16hdri6-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:perl-perlmagick:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:perl-perlmagick-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagick\+\+:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagick\+\+-7_q16hdri4-debuginfo:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagick\+\+-devel:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagick\+\+-7_q16hdri4:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:suse_linux:libmagick\+\+-7_q16hdri4-32bit-debuginfo:*:*:*:*:*:*:*

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/1/30

脆弱性公開日: 2019/12/24

参照情報

CVE: CVE-2019-19949, CVE-2019-19948